package com.microservices.dms.achievementLibrary.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;

/**
 * 成果团队对象 achievement_team
 * 
 * @author microservices
 * @date 2025-04-23
 */
public class AchievementTeam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 成果ld */
    @Excel(name = "成果ld")
    private Long achievementId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String username;

    /** 所属单位 */
    @Excel(name = "所属单位")
    private String company;

    /** 职称 */
    @Excel(name = "职称")
    private String technicalTitle;

    /** 专业 */
    @Excel(name = "专业")
    private String professionalTitle;

    /** 研究方向 */
    @Excel(name = "研究方向")
    private String researchDirection;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 个人简介 */
    @Excel(name = "个人简介")
    private String summary;

    /** 本项成果中主要承担工作 */
    @Excel(name = "本项成果中主要承担工作")
    private String workContent;

    /** 是否是负责人 */
    @Excel(name = "是否是负责人")
    private String isLeader;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAchievementId(Long achievementId) 
    {
        this.achievementId = achievementId;
    }

    public Long getAchievementId() 
    {
        return achievementId;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setCompany(String company) 
    {
        this.company = company;
    }

    public String getCompany() 
    {
        return company;
    }
    public void setTechnicalTitle(String technicalTitle) 
    {
        this.technicalTitle = technicalTitle;
    }

    public String getTechnicalTitle() 
    {
        return technicalTitle;
    }
    public void setProfessionalTitle(String professionalTitle) 
    {
        this.professionalTitle = professionalTitle;
    }

    public String getProfessionalTitle() 
    {
        return professionalTitle;
    }
    public void setResearchDirection(String researchDirection) 
    {
        this.researchDirection = researchDirection;
    }

    public String getResearchDirection() 
    {
        return researchDirection;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setSummary(String summary) 
    {
        this.summary = summary;
    }

    public String getSummary() 
    {
        return summary;
    }
    public void setWorkContent(String workContent) 
    {
        this.workContent = workContent;
    }

    public String getWorkContent() 
    {
        return workContent;
    }
    public void setIsLeader(String isLeader) 
    {
        this.isLeader = isLeader;
    }

    public String getIsLeader() 
    {
        return isLeader;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("achievementId", getAchievementId())
            .append("username", getUsername())
            .append("company", getCompany())
            .append("technicalTitle", getTechnicalTitle())
            .append("professionalTitle", getProfessionalTitle())
            .append("researchDirection", getResearchDirection())
            .append("phone", getPhone())
            .append("summary", getSummary())
            .append("workContent", getWorkContent())
            .append("isLeader", getIsLeader())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
